/// <reference types="node" />
import { Logger } from "./index";
import { ICodeFrame, IHighlightStyles, ILogObject, IStackFrame, TUtilsInspectColors } from "./interfaces";
/** @internal */
export declare class LoggerHelper {
    static cwdArray: string[];
    static cleanUpFilePath(fileName: string | null): string | null;
    static isError(e: Error | unknown): boolean;
    static getCallSites(error?: Error, cleanUp?: boolean): NodeJS.CallSite[];
    static toStackFrameObject(stackFrame: NodeJS.CallSite): IStackFrame;
    static initErrorToJsonHelper(): void;
    static overwriteConsole($this: Logger, handleLog: Function): ILogObject | void;
    static setUtilsInspectStyles(utilsInspectStyles: IHighlightStyles): void;
    static styleString<T, S>(styleTypes: T | TUtilsInspectColors[], str: S | string): string;
    private static _stylizeWithColor;
    static _getCodeFrame(filePath: string, lineNumber: number, columnNumber: number | null, linesBeforeAndAfter: number): ICodeFrame | undefined;
    static lineNumberTo3Char(lineNumber: number): string;
}
//# sourceMappingURL=LoggerHelper.d.ts.map